#---------------
# Author: Yomara Acevedo
# Date: 30 Apr 2017
# Purpose: Determine character from ID. Used in parseData.py
#---------------

# Master function to determine character ID
def whoAreYou(characterID):
    if characterID == "0x0":
       return "Captain Falcon"
    elif characterID == "0x1":
        return "Donkey Kong"
    elif characterID == "0x2":
        return "Fox"
    elif characterID == "0x3":
        return "Mr. Game and Watch"
    elif characterID == "0x4":
        return "Kirby"
    elif characterID == "0x5":
        return "Bowser"
    elif characterID == "0x6":
        return "Link"
    elif characterID == "0x7":
        return "Luigi"
    elif characterID == "0x8":
        return "Mario"
    elif characterID == "0x9":
        return "Marth"
    elif characterID == "0xa":
        return "Mewtwo"
    elif characterID == "0xb":
        return "Ness"
    elif characterID == "0xc":
        return "Peach"
    elif characterID == "0xd":
        return "Pikachu"
    elif characterID == "0xe":
        return "Ice Climbers"
    elif characterID == "0xf":
        return "Jigglypuff"
    elif characterID == "0x10":
        return "Samus"
    elif characterID == "0x11":
        return "Yoshi"
    elif characterID == "0x12":
        return "Zelda"
    elif characterID == "0x13":
        return "Sheik"
    elif characterID == "0x14":
        return "Falco"
    elif characterID == "0x15":
        return "Young Link"
    elif characterID == "0x16":
        return "Doctor Mario"
    elif characterID == "0x17":
        return "Roy"
    elif characterID == "0x18":
        return "Pichu"
    elif characterID == "0x19":
        return "Ganondorf"
    else:
        print "That character does not exist"
        return "Unknown character"

# Master function to determine character ID
def whereAreYou(stageID):
    if stageID == "0x2":
       return "Fountain of Dreams"
    elif stageID == "0x3":
        return "Pokemon Stadium"
    elif stageID == "0x4":
        return "Princess Peach's Castle"
    elif stageID == "0x5":
        return "Kongo Jungle"
    elif stageID == "0x6":
        return "Brinstar"
    elif stageID == "0x7":
        return "Corneria"
    elif stageID == "0x8":
        return "Yoshi's Story"
    elif stageID == "0x9":
        return "Onett"
    elif stageID == "0xa":
        return "Mute City"
    elif stageID == "0xb":
        return "Rainbow Cruise"
    elif stageID == "0xc":
        return "Jungle Japes"
    elif stageID == "0xd":
        return "Great Bay"
    elif stageID == "0xe":
        return "Temple"
    elif stageID == "0xf":
        return "Brinstar Depths"
    elif stageID == "0x10":
        return "Yoshi's Island"
    elif stageID == "0x11":
        return "Green Greens"
    elif stageID == "0x12":
        return "Fourside"
    elif stageID == "0x13":
        return "Kingdom"
    elif stageID == "0x14":
        return "Kingdom II"
    elif stageID == "0x16":
        return "Venom"
    elif stageID == "0x17":
        return "Poke Floats"
    elif stageID == "0x18":
        return "Big Blue"
    elif stageID == "0x19":
        return "Icicle Mountain"
    elif stageID == "0x1b":
        return "Flat Zone"
    elif stageID == "0x1c":
        return "Dream Land"
    elif stageID == "0x1d":
        return "Yoshi's Island 64"
    elif stageID == "0x1e":
        return "Kongo Jungle 64"
    elif stageID == "0x1f":
        return "Battlefield"
    elif stageID == "0x20":
        return "Final Destination"
    else:
        print "That character does not exist"
        return "Unknown character"


